Retrieve metaproperties
Query Parameters
Indicates whether or not the response should include asset count results for metaproperty-options.
Default:false
Comma-separated list of asset types. Filters the count results by asset type.
Allowed values:imagedocumentaudiovideo3d
Indicates whether or not the response should include the metaproperty options of each metaproperty.
Warning: Always ensure to remove the metaproperty options from the response when using this endpoint. Include the param options=0 in every request sent.
Default:true
Comma-separated list of metaproperty ids. Will return a metaproperty for each existing id.
Response
200 application/json
Response
Successful response
Authentication
UnauthenticatedQuery Parameters
Create metaproperty
Requires the METAPROPERTYMANAGEMENT or METAMANAGEMENT security role.
Body
application/x-www-form-urlencoded
Body
JSON-serialised string
Example:{ "name": "ColourMeta", "type": "select", "label": "Colour", "labels": {"fr_FR": "foo", "en_US": "foo"}, "zindex": 4, "isEditable": true, "isFilterable": true, "isMainfilter": true, "isMultiselect": true, "isRequired": true, "isMultifilter": true, "isDrilldown": true, "isDisplayField": true, "isApiField": true }
Response
application/json
Response
Created
Authentication
UnauthenticatedBody
Delete metaproperty
Requires the METAPROPERTYMANAGEMENT or METAMANAGEMENT security role.
Path Parameters
Metaproperty id.
Response
Response
No Content
Authentication
UnauthenticatedPath Parameters
Retrieve metaproperty
Query Parameters
Indicates whether or not the response should include asset count results for metaproperty-options.
Default:false
Comma-separated list of asset types. Filters the count results by asset type.
Allowed values:imagedocumentaudiovideo3d
Indicates whether or not the response should include the metaproperty options of the metaproperty.
Default:true
Path Parameters
Metaproperty id.
Response
application/json
Response
Successful response
Authentication
UnauthenticatedPath Parameters
Query Parameters
Modify metaproperty
Requires the METAPROPERTYMANAGEMENT or METAMANAGEMENT security role.
Path Parameters
Metaproperty id.
Body
application/x-www-form-urlencoded
Body
JSON-serialised string
Example:{ "type": "select", "label": "Colour", "labels": {"fr_FR": "foo", "en_US": "foo"}, "zindex": 4, "isEditable": true, "isFilterable": true, "isMainfilter": true, "isMultiselect": true, "isRequired": true, "isMultifilter": true, "isDrilldown": true, "isDisplayField": true, "isApiField": true }
Metaproperty id.
Example:00000000-0000-0000-0000000000000000
Response
application/json
Response
Created